Page MenuHomePhabricator

remove isbn script dependency in cosmetic_changes
Closed, ResolvedPublic

Description

before cosmetic changes script can be moved to the pywikibot library, its dependency on the isbn script needs to be decoupled.

Details

Related Gerrit Patches:

Event Timeline

jayvdb created this task.Feb 19 2015, 8:04 PM
jayvdb raised the priority of this task from to High.
jayvdb updated the task description. (Show Details)
jayvdb added subscribers: jayvdb, Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2015, 8:04 PM

I think the isbn.py should be moved to the pywikibot as a whole and then we make a wrapper to in scripts folder so people would be able to run it as a script.

like the cosmetic_changes.py

We do not need all of the deprecated stuff from isbn.py . We need to pick one of the isbn libraries added in T85240, which will become a formal dependency in setup.py and requirements.txt , and possible copy the wrapper around it from isbn.py into the pywikibot library.

Are any of the ISBN libraries already available / in use on Toolforge ?

Deprecated stuff should be removed honestly. so I suggest that at first make stdnum a required dependency and then remove all of unneeded stuff from scripts/isbn.py and them move it to the pywikibot directory

Deprecated stuff should be removed honestly. so I suggest that at first make stdnum a required dependency and then remove all of unneeded stuff from scripts/isbn.py and them move it to the pywikibot directory

Well, it isnt even @deprecated yet. It is easy to leave it where it is, deprecate it, and remove it after pywikibot is released onto pypi and we can start work on a new version of pywikibot.

I am not seeing anything in isbn.py that would be desirable in the pywikibot library. When we pick an isbn library and make it a dependency, cosmetic changes can use that library directly, or if we want to support multiple isbn libraries we can create a much neater wrapper in pywikibot.tools.isbn .

Ladsgroup added a comment.EditedFeb 20 2015, 9:21 AM

It's not @deprecated because it's not a part of the pywikibot library and except cosmetic_changes no script uses it (specially the internal methods) and I highly doubt that people are using these methods in their self-written codes (again since it's not a part of the library yet) so I think this step is unnecessary.

Change 205837 had a related patch set uploaded (by John Vandenberg):
Remove cosmetic changes dependency on isbn script

https://gerrit.wikimedia.org/r/205837

Change 205837 merged by jenkins-bot:
Remove cosmetic changes dependency on isbn script

https://gerrit.wikimedia.org/r/205837

jayvdb closed this task as Resolved.May 7 2015, 4:16 PM
jayvdb claimed this task.
jayvdb closed subtask T89996: Add isbn package dependency as Resolved.
Xqt added a subscriber: Xqt.Aug 24 2016, 4:44 PM